import { BlockFrostAPI } from '../../../index';
import { AllMethodOptions, PaginationOptions } from '../../../types';
import { components } from '../../../types/OpenApi';
export declare function accounts(this: BlockFrostAPI, stakeAddress: string): Promise<components['schemas']['account_content']>;
export declare function accountsRewards(this: BlockFrostAPI, stakeAddress: string, pagination?: PaginationOptions): Promise<components['schemas']['account_reward_content']>;
export declare function accountsRewardsAll(this: BlockFrostAPI, stakeAddress: string, allMethodOptions?: AllMethodOptions): Promise<components['schemas']['account_reward_content']>;
export declare function accountsHistory(this: BlockFrostAPI, stakeAddress: string, pagination?: PaginationOptions): Promise<components['schemas']['account_history_content']>;
export declare function accountsHistoryAll(this: BlockFrostAPI, stakeAddress: string, allMethodOptions?: AllMethodOptions): Promise<components['schemas']['account_history_content']>;
export declare function accountsWithdrawals(this: BlockFrostAPI, stakeAddress: string, pagination?: PaginationOptions): Promise<components['schemas']['account_withdrawal_content']>;
export declare function accountsWithdrawalsAll(this: BlockFrostAPI, stakeAddress: string, allMethodOptions?: AllMethodOptions): Promise<components['schemas']['account_withdrawal_content']>;
export declare function accountsMirs(this: BlockFrostAPI, stakeAddress: string, pagination?: PaginationOptions): Promise<components['schemas']['account_mir_content']>;
export declare function accountsMirsAll(this: BlockFrostAPI, stakeAddress: string, allMethodOptions?: AllMethodOptions): Promise<components['schemas']['account_mir_content']>;
export declare function accountsDelegations(this: BlockFrostAPI, stakeAddress: string, pagination?: PaginationOptions): Promise<components['schemas']['account_delegation_content']>;
export declare function accountsDelegationsAll(this: BlockFrostAPI, stakeAddress: string, allMethodOptions?: AllMethodOptions): Promise<components['schemas']['account_delegation_content']>;
export declare function accountsRegistrations(this: BlockFrostAPI, stakeAddress: string, pagination?: PaginationOptions): Promise<components['schemas']['account_registration_content']>;
export declare function accountsRegistrationsAll(this: BlockFrostAPI, stakeAddress: string, allMethodOptions?: AllMethodOptions): Promise<components['schemas']['account_registration_content']>;
export declare function accountsAddresses(this: BlockFrostAPI, stakeAddress: string, pagination?: PaginationOptions): Promise<components['schemas']['account_addresses_content']>;
export declare function accountsAddressesAll(this: BlockFrostAPI, stakeAddress: string, allMethodOptions?: AllMethodOptions): Promise<components['schemas']['account_addresses_content']>;
export declare function accountsAddressesAssets(this: BlockFrostAPI, stakeAddress: string, pagination?: PaginationOptions): Promise<components['schemas']['account_addresses_assets']>;
export declare function accountsAddressesAssetsAll(this: BlockFrostAPI, stakeAddress: string, allMethodOptions?: AllMethodOptions): Promise<components['schemas']['account_addresses_assets']>;
