import { ParseAssetResult } from '../types/utils';
import { ErrorType, ExtendedAxiosError, Headers, Options, ValidatedOptions, PaginationOptions, AdditionalEndpointOptions, AllMethodOptions } from '../types';
export declare const validateOptions: (options?: Options | undefined) => ValidatedOptions;
export declare const getHeaders: (projectId: string | undefined, userAgent?: string | undefined) => Headers | null;
export declare const handleError: (error: ExtendedAxiosError) => ErrorType;
export declare const getAdditionalParams: (options?: AdditionalEndpointOptions | undefined) => AdditionalEndpointOptions;
export declare const getPaginationOptions: (options?: PaginationOptions | undefined) => PaginationOptions;
export declare const getAllMethodOptions: (options?: AllMethodOptions | undefined) => {
    batchSize: number;
    order: 'asc' | 'desc';
};
export declare const getFingerprint: (policyId: string, assetName?: string | undefined) => string;
export declare const parseAsset: (hex: string) => ParseAssetResult;
